/* op_debug.h -- macros for debugging the observer plugin*/

/* FAU Discrete Event Systems Library (libfaudes)

   Copyright (C) 2006  Bernd Opitz
   Exclusive copyright is granted to Klaus Schmidt

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2.1 of the License, or (at your option) any later version.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the Free Software
   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA */

#include <iostream>

#ifndef OP_DEBUG_H

    #ifdef OP_DEBUG_FUNCTION

        #define OP_DF(expr) cerr << expr << endl;

    #else

        #define OP_DF(expr)

    #endif



    #ifdef OP_PLOT_FUNCTION

        #define DF_PLOT

    #endif


#define OP_DEBUG_H
#endif

